Package wx :: Class FilePickerCtrl

[frames | no frames]

## Type FilePickerCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                    PickerBase --+
                                 |
                                FilePickerCtrl

Proxy of C++ FilePickerCtrl class

Method Summary
FilePickerCtrl | `__init__(self, parent, id, path, message, wildcard, pos, size, style, validator, name)`
bool | `CheckPath(self, path)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
String | `GetPath(self)`
String | `GetTextCtrlValue(self)`
| `SetPath(self, str)`

Property Summary
| `Path`: See `GetPath` and `SetPath`
| `TextCtrlValue`: See `GetTextCtrlValue`
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, id=-1, path=EmptyString, message=FileSelectorPromptStr, wildcard=FileSelectorDefaultWildcardStr, pos=DefaultPosition, size=DefaultSize, style=FLP_DEFAULT_STYLE, validator=DefaultValidator, name=FilePickerCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Property Details

### Path

See `GetPath` and `SetPath`

  Get Method:
    `GetPath`(self)
  Set Method:
    `SetPath`(self, str)

### TextCtrlValue

See `GetTextCtrlValue`

  Get Method:
    `GetTextCtrlValue`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:43 2007 | http://epydoc.sf.net